!set title=Reunión 3
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r
varcnt=32
prevarcnt=31
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(3)]
val7=h
val8=$[rint(120)]
tmp0=!shuffle 3,6,8,10,12,15,17,20,24,27,30,35,42

tmp1=!item 1 to $val6-2 of $(tmp0)

val9=$(tmp1)
tmp0=!randint 12, 23

val10=$[rint($(tmp0))]
tmp0=!randint 1, 59

val11=$[rint($(tmp0))]
val12=$[rint($val10*60+$val11)]
tmp0=!randitem 2,3,4

val13=$[rint($(tmp0))]
tmp0=!randint 1, 11

val14=$[rint($(tmp0)*5)]
val15=$[rint($val13*60+$val14)]
val16=$[rint($val12+$val15)]
val17=$val12,$val16
!for val18 =1 to $val6-2 
tmp0=!item $val18 of $val9

val19=$[rint($(tmp0))]
tmp0=!randitem $val12-$val19,$val12+$val19,$val16-$val19,$val16+$val19

val20=$[rint($(tmp0))]
val17=$val17,$val20
!next
tmp0=!shuffle $val6

val9=$(tmp0)
tmp0=!positionof item 1 in $val9

val21=$(tmp0)
tmp0=!positionof item 2 in $val9

val22=$(tmp0)
val23=
val24=
!for val18 =1 to $val6 
tmp0=!item $val18 of $val9

tmp1=!item $(tmp0) of $val17

val25=$[rint($(tmp1))]
val26=$[rint(floor($val25/60))]
val27=$[rint($val25%60)]
!readproc slib/draw/clock $val26:$val27,$val8,2,exactmin nosecond 
tmp0=$slib_out
val28=$(tmp0)
!readproc oef/draw.phtml $val8,$val8 \
$val28 
tmp0=$ins_url
val29=$(tmp0)
tmp0=!append item <img align=middle src=$val29> to $val23

val23=$(tmp0)
!if $val18=$val21 
val30=<img align=middle src=$val29>
!endif
!if $val18=$val22 
val31=<img align=middle src=$val29>
!endif
!next
tmp0=!listcomplement $val30,$val31 in $val23

val23=$(tmp0)
replytype1=dragfill
replyname1=Comienzo
replygood1=$val30;$val23
replytype2=dragfill
replyname2=Final
replygood2=$val31
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Nuestra reunión duró $val13 horas y $val14 minutos.	<p>	Usando los relojes de abajo, localice el comienzo y el final de la	reunión, y arrástrelos a las casillas vacías.	<p><center><table border=0>	<tr><th nowrap>La reunión empieza a las</td>	<td></td>	<th nowrap>La reunión termina a las</td></tr>	<tr><td align=center> 
!read oef/embed.phtml reply 1,$val8 $val8 
$()</td>	<td nowrap align=center>$val13 horas <br> $val14 minutos</td>	<td align=center> 
!read oef/embed.phtml reply 2,$val8 $val8 
$()</td>	</tr></table></center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,13,14
embedcnt=2
